<?php

// config.php
ini_set('log_errors', 1);
ini_set('error_log', '/caminho/para/seu/logfile.log'); // Altere para o caminho desejado

// O restante das configurações da aplicação...

const DB = [
    'HOST'    => 'localhost',
    'USUARIO' => 'root',
    'SENHA'   => '',
    'BANCO'   => 'sistema_ordens',
    'PORTA'   => '3306'
];

// Define constantes individuais para compatibilidade com Models antigos
define('DB_HOST', DB['HOST']);
define('DB_USER', DB['USUARIO']);
define('DB_PASS', DB['SENHA']);
define('DB_NAME', DB['BANCO']);
define('DB_PORT', DB['PORTA']);

define('APP', dirname(__FILE__));

// Ajuste aqui a URL base conforme seu ambiente
define('URL', 'http://localhost:8080/sistema_ordens/public');

// Nome do app para usar nos títulos e rodapé
define('APP_NOME', 'Curso de PHP7 Orientado a Objetos e MVC');

const APP_VERSAO = '1.0.0';
